const {objToCamel, isValue, YMDHms} = require("../../util/index")

module.exports = class ParamsEntity {
  constructor(obj) {
    objToCamel(obj)
    this.sourceId = isValue(obj?.sourceId) ? obj.sourceId : null
    this.id = isValue(obj?.id) ? obj.id : null
    this.createTime = isValue(obj?.createTime) ? YMDHms(obj.createTime) : null
    this.updateTime = isValue(obj?.updateTime) ? YMDHms(obj.updateTime) : null
    this.trackKey = isValue(obj?.trackKey) ? obj.trackKey : ''
    this.trackPointKey = isValue(obj?.trackPointKey) ? obj.trackPointKey : ''
    this.trackWktKey = isValue(obj?.trackWktKey) ? obj.trackWktKey : ''
    this.trackSpeedKey = isValue(obj?.trackSpeedKey) ? obj.trackSpeedKey : ''
    this.trackCourseKey = isValue(obj?.trackCourseKey) ? obj.trackCourseKey : ''
    this.trackHeadKey = isValue(obj?.trackHeadKey) ? obj.trackHeadKey : ''
    this.trackTimeKey = isValue(obj?.trackTimeKey) ? obj.trackTimeKey : ''
    this.historyTrackKey = isValue(obj?.historyTrackKey) ? obj.historyTrackKey : ''
    this.historyTrackPointKey = isValue(obj?.historyTrackPointKey) ? obj.historyTrackPointKey : ''
    this.historyTrackWktKey = isValue(obj?.historyTrackWktKey) ? obj.historyTrackWktKey : ''
    this.historyTrackSpeedKey = isValue(obj?.historyTrackSpeedKey) ? obj.historyTrackSpeedKey : ''
    this.historyTrackCourseKey = isValue(obj?.historyTrackCourseKey) ? obj.historyTrackCourseKey : ''
    this.historyTrackHeadKey = isValue(obj?.historyTrackHeadKey) ? obj.historyTrackHeadKey : ''
    this.historyTrackTimeKey = isValue(obj?.historyTrackTimeKey) ? obj.historyTrackTimeKey : ''
  }
}